Index: pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/nested-remote-recovery.exp
===================================================================
--- pacemaker-1.1.21+20191031.b5c13b916.orig/pengine/test10/nested-remote-recovery.exp
+++ pacemaker-1.1.21+20191031.b5c13b916/pengine/test10/nested-remote-recovery.exp
@@ -319,182 +303,29 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="19">
-    <action_set>
-      <crm_event id="64" operation="clear_failcount" operation_key="galera-bundle-0_clear_failcount_0" on_node="controller-0" on_node_uuid="1">
-        <primitive id="galera-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_on_node="controller-0" CRM_meta_on_node_uuid="1" CRM_meta_op_no_wait="true" CRM_meta_timeout="20000" addr="database-0"  port="3123"/>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="20">
+  <synapse id="18">
     <action_set>
-      <rsc_op id="1" operation="cancel" operation_key="galera-bundle-0_monitor_30000" on_node="controller-0" on_node_uuid="1">
+      <rsc_op id="1" operation="monitor" operation_key="galera-bundle-0_monitor_30000" on_node="controller-0" on_node_uuid="1">
         <primitive id="galera-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_call_id="36" CRM_meta_container="galera-bundle-docker-0" CRM_meta_interval="30000" CRM_meta_on_node="controller-0" CRM_meta_on_node_uuid="1" CRM_meta_operation="monitor" CRM_meta_timeout="20000" addr="database-0"  port="3123"/>
+        <attributes CRM_meta_container="galera-bundle-docker-0" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="controller-0" CRM_meta_on_node_uuid="1" CRM_meta_timeout="30000" addr="database-0"  port="3123"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="78" operation="stop" operation_key="galera-bundle-0_stop_0" on_node="controller-0" on_node_uuid="1"/>
+        <rsc_op id="78" operation="start" operation_key="galera-bundle-0_start_0" on_node="controller-0" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="21">
-    <action_set>
-      <rsc_op id="85" operation="monitor" operation_key="galera-bundle-1_monitor_60000" on_node="controller-1" on_node_uuid="2">
-        <primitive id="galera-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-1" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="controller-1" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" addr="database-1"  port="3123"/>
-      </rsc_op>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="22">
-    <action_set>
-      <rsc_op id="31" operation="cancel" operation_key="galera-bundle-1_monitor_30000" on_node="controller-1" on_node_uuid="2">
-        <primitive id="galera-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_call_id="24" CRM_meta_container="galera-bundle-docker-1" CRM_meta_interval="30000" CRM_meta_on_node="controller-1" CRM_meta_on_node_uuid="2" CRM_meta_operation="monitor" CRM_meta_timeout="20000" addr="database-1"  port="3123"/>
-      </rsc_op>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="23">
-    <action_set>
-      <rsc_op id="90" operation="monitor" operation_key="galera-bundle-2_monitor_60000" on_node="controller-2" on_node_uuid="3">
-        <primitive id="galera-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="galera-bundle-docker-2" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="controller-2" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" addr="database-2"  port="3123"/>
-      </rsc_op>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="24">
-    <action_set>
-      <rsc_op id="15" operation="cancel" operation_key="galera-bundle-2_monitor_30000" on_node="controller-2" on_node_uuid="3">
-        <primitive id="galera-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_call_id="24" CRM_meta_container="galera-bundle-docker-2" CRM_meta_interval="30000" CRM_meta_on_node="controller-2" CRM_meta_on_node_uuid="3" CRM_meta_operation="monitor" CRM_meta_timeout="20000" addr="database-2"  port="3123"/>
-      </rsc_op>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="25">
-    <action_set>
-      <rsc_op id="124" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_60000" on_node="controller-2" on_node_uuid="3">
-        <primitive id="rabbitmq-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="controller-2" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" addr="messaging-0"  port="3122"/>
-      </rsc_op>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="26">
-    <action_set>
-      <rsc_op id="8" operation="cancel" operation_key="rabbitmq-bundle-0_monitor_30000" on_node="controller-2" on_node_uuid="3">
-        <primitive id="rabbitmq-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_call_id="25" CRM_meta_container="rabbitmq-bundle-docker-0" CRM_meta_interval="30000" CRM_meta_on_node="controller-2" CRM_meta_on_node_uuid="3" CRM_meta_operation="monitor" CRM_meta_timeout="20000" addr="messaging-0"  port="3122"/>
-      </rsc_op>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="27">
-    <action_set>
-      <rsc_op id="129" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_60000" on_node="controller-1" on_node_uuid="2">
-        <primitive id="rabbitmq-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="controller-1" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" addr="messaging-1"  port="3122"/>
-      </rsc_op>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="28">
-    <action_set>
-      <rsc_op id="26" operation="cancel" operation_key="rabbitmq-bundle-1_monitor_30000" on_node="controller-1" on_node_uuid="2">
-        <primitive id="rabbitmq-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_call_id="39" CRM_meta_container="rabbitmq-bundle-docker-1" CRM_meta_interval="30000" CRM_meta_on_node="controller-1" CRM_meta_on_node_uuid="2" CRM_meta_operation="monitor" CRM_meta_timeout="20000" addr="messaging-1"  port="3122"/>
-      </rsc_op>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="29">
-    <action_set>
-      <rsc_op id="134" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_60000" on_node="controller-1" on_node_uuid="2">
-        <primitive id="rabbitmq-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="controller-1" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" addr="messaging-2"  port="3122"/>
-      </rsc_op>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="30">
-    <action_set>
-      <rsc_op id="27" operation="cancel" operation_key="rabbitmq-bundle-2_monitor_30000" on_node="controller-1" on_node_uuid="2">
-        <primitive id="rabbitmq-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_call_id="25" CRM_meta_container="rabbitmq-bundle-docker-2" CRM_meta_interval="30000" CRM_meta_on_node="controller-1" CRM_meta_on_node_uuid="2" CRM_meta_operation="monitor" CRM_meta_timeout="20000" addr="messaging-2"  port="3122"/>
-      </rsc_op>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="31">
-    <action_set>
-      <rsc_op id="161" operation="monitor" operation_key="redis-bundle-0_monitor_60000" on_node="controller-0" on_node_uuid="1">
-        <primitive id="redis-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-0" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="controller-0" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" addr="controller-0"  port="3124"/>
-      </rsc_op>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="32">
-    <action_set>
-      <rsc_op id="2" operation="cancel" operation_key="redis-bundle-0_monitor_30000" on_node="controller-0" on_node_uuid="1">
-        <primitive id="redis-bundle-0" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_call_id="25" CRM_meta_container="redis-bundle-docker-0" CRM_meta_interval="30000" CRM_meta_on_node="controller-0" CRM_meta_on_node_uuid="1" CRM_meta_operation="monitor" CRM_meta_timeout="20000" addr="controller-0"  port="3124"/>
-      </rsc_op>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="33">
-    <action_set>
-      <rsc_op id="166" operation="monitor" operation_key="redis-bundle-1_monitor_60000" on_node="controller-1" on_node_uuid="2">
-        <primitive id="redis-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-1" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="controller-1" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" addr="controller-1"  port="3124"/>
-      </rsc_op>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="34">
-    <action_set>
-      <rsc_op id="25" operation="cancel" operation_key="redis-bundle-1_monitor_30000" on_node="controller-1" on_node_uuid="2">
-        <primitive id="redis-bundle-1" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_call_id="31" CRM_meta_container="redis-bundle-docker-1" CRM_meta_interval="30000" CRM_meta_on_node="controller-1" CRM_meta_on_node_uuid="2" CRM_meta_operation="monitor" CRM_meta_timeout="20000" addr="controller-1"  port="3124"/>
-      </rsc_op>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="35">
-    <action_set>
-      <rsc_op id="171" operation="monitor" operation_key="redis-bundle-2_monitor_60000" on_node="controller-2" on_node_uuid="3">
-        <primitive id="redis-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="redis-bundle-docker-2" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="controller-2" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" addr="controller-2"  port="3124"/>
-      </rsc_op>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="36">
-    <action_set>
-      <rsc_op id="11" operation="cancel" operation_key="redis-bundle-2_monitor_30000" on_node="controller-2" on_node_uuid="3">
-        <primitive id="redis-bundle-2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_call_id="31" CRM_meta_container="redis-bundle-docker-2" CRM_meta_interval="30000" CRM_meta_on_node="controller-2" CRM_meta_on_node_uuid="3" CRM_meta_operation="monitor" CRM_meta_timeout="20000" addr="controller-2"  port="3124"/>
-      </rsc_op>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="37">
+  <synapse id="19">
     <action_set>
-      <rsc_op id="240" operation="stop" operation_key="stonith-fence_ipmilan-5254005f9a33_stop_0" on_node="controller-2" on_node_uuid="3">
+      <rsc_op id="230" operation="stop" operation_key="stonith-fence_ipmilan-5254005f9a33_stop_0" on_node="controller-2" on_node_uuid="3">
         <primitive id="stonith-fence_ipmilan-5254005f9a33" class="stonith" type="fence_ipmilan"/>
         <attributes CRM_meta_on_node="controller-2" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000"  ipaddr="172.16.0.1" ipport="6238" lanplus="true" login="admin" passwd="****" pcmk_host_list="database-0" privlvl="administrator"/>
       </rsc_op>
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="38">
+  <synapse id="20">
     <action_set>
       <rsc_op id="58" operation="start" operation_key="stonith-fence_ipmilan-5254005f9a33_start_0" on_node="controller-2" on_node_uuid="3">
         <primitive id="stonith-fence_ipmilan-5254005f9a33" class="stonith" type="fence_ipmilan"/>
@@ -503,11 +334,11 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="240" operation="stop" operation_key="stonith-fence_ipmilan-5254005f9a33_stop_0" on_node="controller-2" on_node_uuid="3"/>
+        <rsc_op id="230" operation="stop" operation_key="stonith-fence_ipmilan-5254005f9a33_stop_0" on_node="controller-2" on_node_uuid="3"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="39">
+  <synapse id="21">
     <action_set>
       <rsc_op id="14" operation="monitor" operation_key="stonith-fence_ipmilan-5254005f9a33_monitor_60000" on_node="controller-2" on_node_uuid="3">
         <primitive id="stonith-fence_ipmilan-5254005f9a33" class="stonith" type="fence_ipmilan"/>
@@ -520,16 +351,16 @@
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="40">
+  <synapse id="22">
     <action_set>
-      <rsc_op id="241" operation="stop" operation_key="stonith-fence_ipmilan-52540098c9ff_stop_0" on_node="controller-1" on_node_uuid="2">
+      <rsc_op id="231" operation="stop" operation_key="stonith-fence_ipmilan-52540098c9ff_stop_0" on_node="controller-1" on_node_uuid="2">
         <primitive id="stonith-fence_ipmilan-52540098c9ff" class="stonith" type="fence_ipmilan"/>
         <attributes CRM_meta_on_node="controller-1" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000"  ipaddr="172.16.0.1" ipport="6237" lanplus="true" login="admin" passwd="****" pcmk_host_list="database-2" privlvl="administrator"/>
       </rsc_op>
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="41">
+  <synapse id="23">
     <action_set>
       <rsc_op id="63" operation="start" operation_key="stonith-fence_ipmilan-52540098c9ff_start_0" on_node="controller-1" on_node_uuid="2">
         <primitive id="stonith-fence_ipmilan-52540098c9ff" class="stonith" type="fence_ipmilan"/>
@@ -538,11 +369,11 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="241" operation="stop" operation_key="stonith-fence_ipmilan-52540098c9ff_stop_0" on_node="controller-1" on_node_uuid="2"/>
+        <rsc_op id="231" operation="stop" operation_key="stonith-fence_ipmilan-52540098c9ff_stop_0" on_node="controller-1" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="42">
+  <synapse id="24">
     <action_set>
       <rsc_op id="35" operation="monitor" operation_key="stonith-fence_ipmilan-52540098c9ff_monitor_60000" on_node="controller-1" on_node_uuid="2">
         <primitive id="stonith-fence_ipmilan-52540098c9ff" class="stonith" type="fence_ipmilan"/>
@@ -555,16 +386,16 @@
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="43">
+  <synapse id="25">
     <action_set>
-      <rsc_op id="242" operation="stop" operation_key="stonith-fence_ipmilan-5254000203a2_stop_0" on_node="controller-2" on_node_uuid="3">
+      <rsc_op id="232" operation="stop" operation_key="stonith-fence_ipmilan-5254000203a2_stop_0" on_node="controller-2" on_node_uuid="3">
         <primitive id="stonith-fence_ipmilan-5254000203a2" class="stonith" type="fence_ipmilan"/>
         <attributes CRM_meta_on_node="controller-2" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000"  ipaddr="172.16.0.1" ipport="6231" lanplus="true" login="admin" passwd="****" pcmk_host_list="messaging-0" privlvl="administrator"/>
       </rsc_op>
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="44">
+  <synapse id="26">
     <action_set>
       <rsc_op id="56" operation="start" operation_key="stonith-fence_ipmilan-5254000203a2_start_0" on_node="controller-2" on_node_uuid="3">
         <primitive id="stonith-fence_ipmilan-5254000203a2" class="stonith" type="fence_ipmilan"/>
@@ -573,11 +404,11 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="242" operation="stop" operation_key="stonith-fence_ipmilan-5254000203a2_stop_0" on_node="controller-2" on_node_uuid="3"/>
+        <rsc_op id="232" operation="stop" operation_key="stonith-fence_ipmilan-5254000203a2_stop_0" on_node="controller-2" on_node_uuid="3"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="45">
+  <synapse id="27">
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="stonith-fence_ipmilan-5254000203a2_monitor_60000" on_node="controller-2" on_node_uuid="3">
         <primitive id="stonith-fence_ipmilan-5254000203a2" class="stonith" type="fence_ipmilan"/>
@@ -590,16 +421,16 @@
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="46">
+  <synapse id="28">
     <action_set>
-      <rsc_op id="243" operation="stop" operation_key="stonith-fence_ipmilan-5254003296a5_stop_0" on_node="controller-1" on_node_uuid="2">
+      <rsc_op id="233" operation="stop" operation_key="stonith-fence_ipmilan-5254003296a5_stop_0" on_node="controller-1" on_node_uuid="2">
         <primitive id="stonith-fence_ipmilan-5254003296a5" class="stonith" type="fence_ipmilan"/>
         <attributes CRM_meta_on_node="controller-1" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000"  ipaddr="172.16.0.1" ipport="6233" lanplus="true" login="admin" passwd="****" pcmk_host_list="messaging-1" privlvl="administrator"/>
       </rsc_op>
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="47">
+  <synapse id="29">
     <action_set>
       <rsc_op id="62" operation="start" operation_key="stonith-fence_ipmilan-5254003296a5_start_0" on_node="controller-1" on_node_uuid="2">
         <primitive id="stonith-fence_ipmilan-5254003296a5" class="stonith" type="fence_ipmilan"/>
@@ -608,11 +439,11 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="243" operation="stop" operation_key="stonith-fence_ipmilan-5254003296a5_stop_0" on_node="controller-1" on_node_uuid="2"/>
+        <rsc_op id="233" operation="stop" operation_key="stonith-fence_ipmilan-5254003296a5_stop_0" on_node="controller-1" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="48">
+  <synapse id="30">
     <action_set>
       <rsc_op id="24" operation="monitor" operation_key="stonith-fence_ipmilan-5254003296a5_monitor_60000" on_node="controller-1" on_node_uuid="2">
         <primitive id="stonith-fence_ipmilan-5254003296a5" class="stonith" type="fence_ipmilan"/>
@@ -625,16 +456,16 @@
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="49">
+  <synapse id="31">
     <action_set>
-      <rsc_op id="244" operation="stop" operation_key="stonith-fence_ipmilan-52540066e27e_stop_0" on_node="controller-1" on_node_uuid="2">
+      <rsc_op id="234" operation="stop" operation_key="stonith-fence_ipmilan-52540066e27e_stop_0" on_node="controller-1" on_node_uuid="2">
         <primitive id="stonith-fence_ipmilan-52540066e27e" class="stonith" type="fence_ipmilan"/>
         <attributes CRM_meta_on_node="controller-1" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000"  ipaddr="172.16.0.1" ipport="6232" lanplus="true" login="admin" passwd="****" pcmk_host_list="messaging-2" privlvl="administrator"/>
       </rsc_op>
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="50">
+  <synapse id="32">
     <action_set>
       <rsc_op id="60" operation="start" operation_key="stonith-fence_ipmilan-52540066e27e_start_0" on_node="controller-1" on_node_uuid="2">
         <primitive id="stonith-fence_ipmilan-52540066e27e" class="stonith" type="fence_ipmilan"/>
@@ -643,11 +474,11 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="244" operation="stop" operation_key="stonith-fence_ipmilan-52540066e27e_stop_0" on_node="controller-1" on_node_uuid="2"/>
+        <rsc_op id="234" operation="stop" operation_key="stonith-fence_ipmilan-52540066e27e_stop_0" on_node="controller-1" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="51">
+  <synapse id="33">
     <action_set>
       <rsc_op id="22" operation="monitor" operation_key="stonith-fence_ipmilan-52540066e27e_monitor_60000" on_node="controller-1" on_node_uuid="2">
         <primitive id="stonith-fence_ipmilan-52540066e27e" class="stonith" type="fence_ipmilan"/>
@@ -660,16 +491,16 @@
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="52">
+  <synapse id="34">
     <action_set>
-      <rsc_op id="245" operation="stop" operation_key="stonith-fence_ipmilan-52540065418e_stop_0" on_node="controller-2" on_node_uuid="3">
+      <rsc_op id="235" operation="stop" operation_key="stonith-fence_ipmilan-52540065418e_stop_0" on_node="controller-2" on_node_uuid="3">
         <primitive id="stonith-fence_ipmilan-52540065418e" class="stonith" type="fence_ipmilan"/>
         <attributes CRM_meta_on_node="controller-2" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000"  ipaddr="172.16.0.1" ipport="6235" lanplus="true" login="admin" passwd="****" pcmk_host_list="controller-1" privlvl="administrator"/>
       </rsc_op>
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="53">
+  <synapse id="35">
     <action_set>
       <rsc_op id="57" operation="start" operation_key="stonith-fence_ipmilan-52540065418e_start_0" on_node="controller-2" on_node_uuid="3">
         <primitive id="stonith-fence_ipmilan-52540065418e" class="stonith" type="fence_ipmilan"/>
@@ -678,11 +509,11 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="245" operation="stop" operation_key="stonith-fence_ipmilan-52540065418e_stop_0" on_node="controller-2" on_node_uuid="3"/>
+        <rsc_op id="235" operation="stop" operation_key="stonith-fence_ipmilan-52540065418e_stop_0" on_node="controller-2" on_node_uuid="3"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="54">
+  <synapse id="36">
     <action_set>
       <rsc_op id="12" operation="monitor" operation_key="stonith-fence_ipmilan-52540065418e_monitor_60000" on_node="controller-2" on_node_uuid="3">
         <primitive id="stonith-fence_ipmilan-52540065418e" class="stonith" type="fence_ipmilan"/>
@@ -695,16 +526,16 @@
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="55">
+  <synapse id="37">
     <action_set>
-      <rsc_op id="246" operation="stop" operation_key="stonith-fence_ipmilan-525400aab9d9_stop_0" on_node="controller-2" on_node_uuid="3">
+      <rsc_op id="236" operation="stop" operation_key="stonith-fence_ipmilan-525400aab9d9_stop_0" on_node="controller-2" on_node_uuid="3">
         <primitive id="stonith-fence_ipmilan-525400aab9d9" class="stonith" type="fence_ipmilan"/>
         <attributes CRM_meta_on_node="controller-2" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000"  ipaddr="172.16.0.1" ipport="6239" lanplus="true" login="admin" passwd="****" pcmk_host_list="database-1" privlvl="administrator"/>
       </rsc_op>
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="56">
+  <synapse id="38">
     <action_set>
       <rsc_op id="55" operation="start" operation_key="stonith-fence_ipmilan-525400aab9d9_start_0" on_node="controller-2" on_node_uuid="3">
         <primitive id="stonith-fence_ipmilan-525400aab9d9" class="stonith" type="fence_ipmilan"/>
@@ -713,11 +544,11 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="246" operation="stop" operation_key="stonith-fence_ipmilan-525400aab9d9_stop_0" on_node="controller-2" on_node_uuid="3"/>
+        <rsc_op id="236" operation="stop" operation_key="stonith-fence_ipmilan-525400aab9d9_stop_0" on_node="controller-2" on_node_uuid="3"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="57">
+  <synapse id="39">
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="stonith-fence_ipmilan-525400aab9d9_monitor_60000" on_node="controller-2" on_node_uuid="3">
         <primitive id="stonith-fence_ipmilan-525400aab9d9" class="stonith" type="fence_ipmilan"/>
@@ -730,16 +561,16 @@
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="58">
+  <synapse id="40">
     <action_set>
-      <rsc_op id="247" operation="stop" operation_key="stonith-fence_ipmilan-525400a16c0d_stop_0" on_node="controller-1" on_node_uuid="2">
+      <rsc_op id="237" operation="stop" operation_key="stonith-fence_ipmilan-525400a16c0d_stop_0" on_node="controller-1" on_node_uuid="2">
         <primitive id="stonith-fence_ipmilan-525400a16c0d" class="stonith" type="fence_ipmilan"/>
         <attributes CRM_meta_on_node="controller-1" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000"  ipaddr="172.16.0.1" ipport="6234" lanplus="true" login="admin" passwd="****" pcmk_host_list="controller-2" privlvl="administrator"/>
       </rsc_op>
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="59">
+  <synapse id="41">
     <action_set>
       <rsc_op id="61" operation="start" operation_key="stonith-fence_ipmilan-525400a16c0d_start_0" on_node="controller-1" on_node_uuid="2">
         <primitive id="stonith-fence_ipmilan-525400a16c0d" class="stonith" type="fence_ipmilan"/>
@@ -748,11 +579,11 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="247" operation="stop" operation_key="stonith-fence_ipmilan-525400a16c0d_stop_0" on_node="controller-1" on_node_uuid="2"/>
+        <rsc_op id="237" operation="stop" operation_key="stonith-fence_ipmilan-525400a16c0d_stop_0" on_node="controller-1" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="60">
+  <synapse id="42">
     <action_set>
       <rsc_op id="23" operation="monitor" operation_key="stonith-fence_ipmilan-525400a16c0d_monitor_60000" on_node="controller-1" on_node_uuid="2">
         <primitive id="stonith-fence_ipmilan-525400a16c0d" class="stonith" type="fence_ipmilan"/>
@@ -765,16 +596,16 @@
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="61">
+  <synapse id="43">
     <action_set>
-      <rsc_op id="248" operation="stop" operation_key="stonith-fence_ipmilan-5254002f6d57_stop_0" on_node="controller-1" on_node_uuid="2">
+      <rsc_op id="238" operation="stop" operation_key="stonith-fence_ipmilan-5254002f6d57_stop_0" on_node="controller-1" on_node_uuid="2">
         <primitive id="stonith-fence_ipmilan-5254002f6d57" class="stonith" type="fence_ipmilan"/>
         <attributes CRM_meta_on_node="controller-1" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000"  ipaddr="172.16.0.1" ipport="6236" lanplus="true" login="admin" passwd="****" pcmk_host_list="controller-0" privlvl="administrator"/>
       </rsc_op>
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="62">
+  <synapse id="44">
     <action_set>
       <rsc_op id="59" operation="start" operation_key="stonith-fence_ipmilan-5254002f6d57_start_0" on_node="controller-1" on_node_uuid="2">
         <primitive id="stonith-fence_ipmilan-5254002f6d57" class="stonith" type="fence_ipmilan"/>
@@ -783,11 +614,11 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="248" operation="stop" operation_key="stonith-fence_ipmilan-5254002f6d57_stop_0" on_node="controller-1" on_node_uuid="2"/>
+        <rsc_op id="238" operation="stop" operation_key="stonith-fence_ipmilan-5254002f6d57_stop_0" on_node="controller-1" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="63">
+  <synapse id="45">
     <action_set>
       <rsc_op id="20" operation="monitor" operation_key="stonith-fence_ipmilan-5254002f6d57_monitor_60000" on_node="controller-1" on_node_uuid="2">
         <primitive id="stonith-fence_ipmilan-5254002f6d57" class="stonith" type="fence_ipmilan"/>
@@ -800,9 +631,9 @@
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="64">
+  <synapse id="46">
     <action_set>
-      <pseudo_event id="249" operation="stonith" operation_key="stonith-galera-bundle-0-reboot" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0">
+      <pseudo_event id="239" operation="stonith" operation_key="stonith-galera-bundle-0-reboot" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0">
         <attributes CRM_meta_on_node="galera-bundle-0" CRM_meta_on_node_uuid="galera-bundle-0" CRM_meta_stonith_action="reboot" />
         <downed>
           <node id="galera-bundle-0"/>
@@ -815,62 +646,62 @@
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="65" priority="1000000">
+  <synapse id="47" priority="1000000">
     <action_set>
-      <pseudo_event id="119" operation="demoted" operation_key="galera-bundle_demoted_0">
+      <pseudo_event id="115" operation="demoted" operation_key="galera-bundle_demoted_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="115" operation="demoted" operation_key="galera-bundle-master_demoted_0"/>
+        <pseudo_event id="111" operation="demoted" operation_key="galera-bundle-master_demoted_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="118" operation="demote" operation_key="galera-bundle_demote_0"/>
+        <pseudo_event id="114" operation="demote" operation_key="galera-bundle_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="66">
+  <synapse id="48">
     <action_set>
-      <pseudo_event id="118" operation="demote" operation_key="galera-bundle_demote_0">
+      <pseudo_event id="114" operation="demote" operation_key="galera-bundle_demote_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="67" priority="1000000">
+  <synapse id="49" priority="1000000">
     <action_set>
-      <pseudo_event id="117" operation="promoted" operation_key="galera-bundle_promoted_0">
+      <pseudo_event id="113" operation="promoted" operation_key="galera-bundle_promoted_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="113" operation="promoted" operation_key="galera-bundle-master_promoted_0"/>
+        <pseudo_event id="109" operation="promoted" operation_key="galera-bundle-master_promoted_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="68">
+  <synapse id="50">
     <action_set>
-      <pseudo_event id="116" operation="promote" operation_key="galera-bundle_promote_0">
+      <pseudo_event id="112" operation="promote" operation_key="galera-bundle_promote_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="92" operation="running" operation_key="galera-bundle_running_0"/>
+        <pseudo_event id="88" operation="running" operation_key="galera-bundle_running_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="94" operation="stopped" operation_key="galera-bundle_stopped_0"/>
+        <pseudo_event id="90" operation="stopped" operation_key="galera-bundle_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="119" operation="demoted" operation_key="galera-bundle_demoted_0"/>
+        <pseudo_event id="115" operation="demoted" operation_key="galera-bundle_demoted_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="69" priority="1000000">
+  <synapse id="51" priority="1000000">
     <action_set>
-      <pseudo_event id="94" operation="stopped" operation_key="galera-bundle_stopped_0">
+      <pseudo_event id="90" operation="stopped" operation_key="galera-bundle_stopped_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
